# $Revision: 1.16 $ $Date: 2000-06-09 07:22:47 $
Summary:	ATM on Linux
Summary(pl):	Obsuga sieci ATM w Linuxie
Name:		atm
Version:	0.62
Release:	1
License:	GPL
Group:		Networking
Group(pl):	Sieciowe
Source0:	ftp://lrcftp.epfl.ch/pub/linux/atm/dist/%{name}-%{version}.tar.gz
Source1:	atm-pldrc.tar.gz
Patch0:		atm-opt.patch
Icon:		atm-logo.gif
URL:		http://ica1www.epfl.ch/linux-atm/
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
 
%description
ATM (Asynchronous Transfer Mode) networking for Linux is still under
development now but it works quite stable now and will most probably
be included in 2.4.x series kernels. In PLD Linux it consists of some
patches for current kernel version containing drivers for a few
popular ATM cards (ex. Fore, Madge, IDT) and PVC and SVC support. It
also includes programs and scripts providing the most popular ATM
services, i.e. Classical IP (IP over ATM), LAN Emulation clients and
servers, Multiprotocol Over ATM (MPOA) and some other goodies.

%description -l pl
Obsuga sieci ATM (Asynchronous Transfer Mode) w Linuxie mimo i jest
jeszcze w stadium alfa dziaa ju bardzo stabilnie i
najproawdopodobniej zostanie wczona do jder serii 2.4.x. W Linuxie
PLD skada si ona z at (patches) do biecej wersji jdra
zawierajcych sterowniki do kilku popularnych kart (m.in Fore, Madge,
IDT) i zapewniajcych zestawianie pocze PVC i SVC oraz zestawu
programw i skryptw (ten pakiet) realizujcych najpopularniejsze
usugi ATM, tj. Classical IP (IP over ATM), klientw i serwery LAN
Emulation (LANE), Multiprotocol Over ATM (MPOA) i inne rozmaitoci.

%package devel
Summary:	ATM on Linux - developer's package
Summary(pl):	Obsuga sieci ATM w Linuxie - biblioteki i pliki nagwkowe
Group:		Development/Libraries
Group(fr):	Development/Librairies
Group(pl):	Programowanie/Biblioteki
Requires:	%{name} = %{version}

%description devel
Libraries and header files needed for development ATM applications for
Linux

%description -l pl devel
Biblioteki i pliki nagwkowe niezbdne do opracowywania aplikacji ATM
dla Linuxa.

%prep
%setup -q -n atm -b 1
%patch0 -p1

%build
# Test it before removing!
# gcc 2.95.x with optimizations turned on miscompiles atm 0.62!!!
RPM_OPT_FLAGS=""
export RPM_OPT_FLAGS
%{__make} depend
%{__make} 

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/sysconfig/{interfaces,network-scripts},rc.d/init.d}} \
	$RPM_BUILD_ROOT{/var/log/atm,%{_sysconfdir}/atm}

%{__make} install \
	INSTROOT=$RPM_BUILD_ROOT \
	INSTPREFIX=$RPM_BUILD_ROOT%{_prefix} \
	INSTMAN=$RPM_BUILD_ROOT%{_mandir}

install config/common/hosts.atm $RPM_BUILD_ROOT%{_sysconfdir}
install config/common/e164_cc $RPM_BUILD_ROOT%{_sysconfdir}

install config/pld/atm/* $RPM_BUILD_ROOT%{_sysconfdir}/atm/
install config/pld/init.d/atm $RPM_BUILD_ROOT/etc/rc.d/init.d/
install config/pld/sysconfig/atm $RPM_BUILD_ROOT/etc/sysconfig/
install config/pld/network-scripts/{ifup-atm,ifup-lec,ifdown-lec} \
		$RPM_BUILD_ROOT/etc/sysconfig/network-scripts
install config/pld/interfaces/{ifcfg-atm0,ifcfg-lec0} \
		$RPM_BUILD_ROOT/etc/sysconfig/interfaces 
 
strip --strip-unneeded $RPM_BUILD_ROOT{%{_bindir},%{_sbindir}}/*

gzip -9nf $RPM_BUILD_ROOT%{_mandir}/man*/* \
	doc/usage.txt BUGS CREDITS CHANGES README config/pld/README.PLD
%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add atm
if [ -f /var/lock/subsys/atm ]; then
	/etc/rc.d/init.d/atm restart 1>&2
fi

%preun
if [ "$1" = "0" ]; then
	if [ -f /var/lock/subsys/atm ]; then
		/etc/rc.d/init.d/atm stop 1>&2
	fi
	/sbin/chkconfig --del atm
fi

%files
%defattr(644,root,root,755)
%doc doc/usage.txt.gz *.gz config/pld/README.PLD.gz
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/atm/*
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/hosts.atm
%config(noreplace) %verify(not size mtime md5) /etc//sysconfig/interfaces/*
%attr(640,root,root) %config(noreplace) %verify(not size mtime md5) /etc/sysconfig/atm
%attr(755,root,root) /etc//sysconfig/network-scripts/*
%attr(754,root,root) /etc/rc.d/init.d/atm
%config %{_sysconfdir}/e164_cc
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_sbindir}/*
%attr(751,root,root) /var/log/atm
%{_mandir}/man*/*

%files devel
%defattr(644,root,root,755)
%{_includedir}/*
%{_libdir}/*
